Skip to navigation

Get traces by project_name or project_id

View as Markdown

Get traces by project_name or project_id

Query parameters

pageintegerOptional>=1Defaults to 1
sizeintegerOptional>=1Defaults to 10
project_namestringOptional
project_idstringOptionalformat: "uuid"
filtersstringOptional
truncatebooleanOptionalDefaults to false
Truncate input, output and metadata to slim payloads
strip_attachmentsbooleanOptionalDefaults to false

If true, returns attachment references like [file.png]; if false, downloads and reinjects stripped attachments

sortingstringOptional
excludestringOptional
searchstringOptional

Full-text search across trace fields

from_timedatetimeOptional

Filter traces created from this time (ISO-8601 format).

to_timedatetimeOptional

Filter traces created up to this time (ISO-8601 format). If not provided, defaults to current time. Must be after ‘from_time’.

annotation_queue_idstringOptionalformat: "uuid"

Filter traces belonging to this annotation queue and scope feedback scores/comments to it

Response

Trace resource
pageintegerOptional
sizeintegerOptional
totallongOptional
contentlist of objectsOptional
sortableBylist of stringsOptional